import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { identifierModuleUrl } from '@angular/compiler';

@Component({
  selector: 'app-crud-buttons',
  templateUrl: './crud-buttons.component.html',
  styleUrls: ['./crud-buttons.component.scss'],
})
export class CrudButtonsComponent implements OnInit {

  @Output() delete = new EventEmitter<string>();
  @Input() id;

  constructor() { }

  ngOnInit() {
  }

  onDelete() {
    this.delete.emit(this.id);
  }

}
